Cortex XDR Agent for Windows Requirements - Administrator Guide - 8.3 - Cortex XDR - Cortex XDR Agent - Advanced Endpoint Protection - Cortex - Security Operations

Cortex XDR Agent Administrator Guide

Product
Cortex XDR
Cortex XDR Agent
Version
8.3
Creation date
2024-01-02
Last date published
2024-07-04
Category
Administrator Guide
Abstract

Windows endpoints must meet the following requirements to install the Cortex XDR agent.

The following requirements apply to standard and VDI Windows endpoints:

Requirement

Specification

Processor

  • Intel Pentium 4 or later with SSE2 instruction set support

  • AMD Opteron/Athlon 64 or later with SSE2 instruction set support

  • Dual core processor (minimum) for Cortex XDR Agent version 7.0 and later

RAM

2GB minimum

Hard disk space

5GB minimum; 20GB recommended

Operating system versions

Palo Alto Networks supports the Cortex XDR agent on many operating systems, virtual environments, and virtual applications. To determine the minimum Cortex XDR agent release for a specific operating system, environment, or application, refer to the Windows section of Where can I install the Cortex XDR Agent in the Palo Alto Networks Compatibility Matrix.

Networking

  • Allow communication on the TCP port from the Cortex XDR agent to server (the default is port 443).

  • Allow the Cortex XDR management console and agent to communicate with external and internal resources required for enforcing endpoint protection.

.NET

  • Windows 7—.NET 3.5 SP1, .NET 3.5.1, or .NET 4.5

  • Windows 8—.NET 4.5

  • Windows 8.1—.NET 4.5.1

  • Windows 10 and later releases—.NET 4.6

  • Windows Server 2008 R2—.NET 3.5 SP1 or .NET 3.5.1

  • Windows Server 2012—.NET 4.5

  • Windows Server 2012 R2 and later supported Windows releases—.NET 4.5.1

Applications and utilities

  • Windows Accessories (Notepad) to view logs

Localization

To set the language (English, German, Japanese, Spanish, French, Chinese Simplified, Chinese Traditional) of the Cortex XDR agent console, you must install the corresponding language pack.